//===================
//Map Texture Shaders
//===================

textures/urban_signs/ww-arrow
{
	qer_editorimage textures/urban_signs/ww-arrow.tga
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/urban_signs/ww-arrow.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/urban_signs/ww-arrow.tga
		blendFunc add
		rgbGen wave square .5 .5 0 1
	}
}

//Sky 400 Light
textures/wetwired/wetwired_met512
{
	qer_editorimage textures/wetwired/sky04.tga

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_surfacelight 35
	q3map_sun .6 .6 .6 30 35 78

	skyparms env/met512 256 256
}

//Sky No Light
textures/wetwired/wetwired_met512nolight
{
	qer_editorimage textures/wetwired/sky04nolight.tga

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_surfacelight 0
	skyparms env/met512 256 256
}

//Open Blinds
textures/urban_windows/ww-blindsopen
{
	qer_editor_image textures/urban_windows/ww-blindsopen.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/urban_windows/ww-blindsopen.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Police Logo
textures/urban_signs/ww-coplogo
{
	qer_editor_image textures/urban_signs/ww-coplogo.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	
	{
		map textures/urban_signs/ww-coplogo.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


//Donut Box Logo
textures/nofear4/donutlogo
{
	qer_editor_image textures/nofear4/donutlogo.tga
	nopicmip
	cull disable
	
	{
		map textures/nofear4/donutlogo.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Donut Box Top
textures/nofear4/donuttop
{
	qer_editor_image textures/nofear4/donuttop.tga
	nopicmip
	cull disable
	
	{
		map textures/nofear4/donuttop.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Donut Box Side
textures/nofear4/donutside
{
	qer_editor_image textures/nofear4/donutside.tga
	nopicmip
	cull disable
	polygonOffset
	sort 5
	
	{
		map textures/nofear4/donutside.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Precinct Glass
textures/urban_windows/ww-tinfx
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
		map textures/urban_windows/ww-tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

//Prison Bars
textures/wetwired/ww-bars01
{
    cull disable
    surfaceparm alphashadow
    deformVertexes autoSprite2
    surfaceparm playerclip
    surfaceparm trans	
        {
        map textures/wetwired/ww-bars01.tga
        alphaFunc GE128
	depthWrite
	rgbGen vertex
        }
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}
}

//Railings
textures/urban_terror6/ww-railings02
{
	qer_editor_image textures/urban_terror6/ww-railings02.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/urban_terror6/ww-railings02.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Exit Sign 
textures/urban_signs/ww-exit
{
	qer_editorimage textures/urban_signs/ww-exit.tga
	surfaceparm nolightmap

	{
		map textures/urban_signs/ww-exit.tga
		rgbGen identity
	}
}

//Exit Sign Side
textures/urban_signs/ww-exitside
{
	qer_editorimage textures/urban_signs/ww-exitside.tga
	surfaceparm nolightmap

	{
		map textures/urban_signs/ww-exitside.tga
		rgbGen identity
	}
}

//===================
//Map Model Shaders
//===================

//Ficus
models/mapobjects/exkr/ficus
{
	cull none
	nopicmip
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid

	{
		map models/mapobjects/exkr/ficus.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

//Hojas
models/mapobjects/exkr/hojas
{
	cull none
	nopicmip
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid

	{
		map models/mapobjects/exkr/hojas.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

//US Flag
models/mapobjects/urbanterror/flag/flag
{
	cull none
	nopicmip
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid

	{
		map models/mapobjects/urbanterror/flag/flag.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

//Police Flag
models/mapobjects/urbanterror/flag/flag2
{
	cull none
	nopicmip
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid

	{
		map models/mapobjects/urbanterror/flag/flag2.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}